Skip to main content
`Ctrl`+`K`

# PetscSectionGetFieldComponents

Returns the number of field components for the given field.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldComponents(PetscSection s, PetscInt field, PetscInt *numComp)

Not Collective

## Input Parameters

- s - the `PetscSection`

- field - the field number

## Output Parameter

- numComp - the number of field components

## Developer Notes

This function is misnamed. There is a Num in `PetscSectionGetNumFields()` but not in this name

## See Also

PetscSection, `PetscSection`, `PetscSectionSetFieldComponents()`, `PetscSectionGetNumFields()`, `PetscSectionSetComponentName()`, `PetscSectionGetComponentName()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages